Module jdk.jlink
Package jdk.tools.jlink.plugin

## Interface Pool.Module

Enclosing class:
  Pool

    public static interface Pool.Module

A module in the pool.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `add(Pool.ModuleData data)` Add a ModuleData to this module.
`Pool.ModuleData` `get(String path)` Retrieves a ModuleData from a path (e.g: /mymodule/com.foo.bar/MyClass.class)
`Set<String>` `getAllPackages()` Retrieves all the packages located in this module.
`Collection<Pool.ModuleData>` `getContent()` Retrieves the collection of ModuleData.
`ModuleDescriptor` `getDescriptor()` The module descriptor of this module.
`String` `getName()` The module name.

### Method Detail

#### getName

    String getName()

The module name.

Returns:
  The name.

#### get

    Pool.ModuleData get(String path)

Retrieves a ModuleData from a path (e.g: /mymodule/com.foo.bar/MyClass.class)

Parameters:
  `path` - The piece of data path.
Returns:
  A ModuleData or null if the path doesn't identify a ModuleData.

#### getDescriptor

    ModuleDescriptor getDescriptor()

The module descriptor of this module.

Returns:
  The module descriptor.

#### add

    void add(Pool.ModuleData data)

Add a ModuleData to this module.

Parameters:
  `data` - The ModuleData to add.

#### getAllPackages

    Set<String> getAllPackages()

Retrieves all the packages located in this module.

Returns:
  The set of packages.

#### getContent

    Collection<Pool.ModuleData> getContent()

Retrieves the collection of ModuleData.

Returns:
  The ModuleData collection.